Bug 652884 - koji build system failing to build EL5 and EL6 packages, reporting rpmlib problems
koji build system failing to build EL5 and EL6 packages, reporting rpmlib pro...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-13 04:26 EST by Michael Lang
Modified: 2014-01-21 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 00:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log as created by koji build process (38.38 KB, application/octet-stream)
2010-11-13 04:26 EST, Michael Lang
no flags Details

  None (edit)
Description Michael Lang 2010-11-13 04:26:20 EST
Created attachment 460209 [details]
root.log as created by koji build process

Description of problem:

using Koji(on EL5) as build system, building for EL5 and EL6 is not possible, where EL5 builds succeed but EL6 fail with the errors:

DEBUG util.py:256:  ERROR with rpm_check_debug vs depsolve:
DEBUG util.py:256:  rpmlib(FileDigests) is needed by pam-1.1.1-4.el6.x86_64
DEBUG util.py:256:  rpmlib(PayloadIsXz) is needed by pam-1.1.1-4.el6.x86_64
...


Version-Release number of selected component (if applicable):
yum-3.2.22-26.el5.centos
koji-1.3.1-1

How reproducible:
when koji build environment is setup, everytime


Steps to Reproduce:
1. install koji as described at http://fedoraproject.org/wiki/Koji/ServerHowTo
2. configure external repo's as described at http://fedoraproject.org/wiki/Koji/ExternalRepoServerBootstrap
3. import a source RPM build on EL5
4. build the package using koji build --scratch <tag> <pkg>
  
Actual results:
BuildrootError: could not init mock buildroot, mock exited with status 30; see root.log for more information

DEBUG backend.py:603:  /usr/bin/yum --installroot /var/lib/mock/dist-el6-build-7-18/root/  groupinstall build
DEBUG util.py:291:  Executing command: /usr/bin/yum --installroot /var/lib/mock/dist-el6-build-7-18/root/  groupinstall build
...
DEBUG util.py:256:  Total download size: 88 M
DEBUG util.py:256:  ERROR with rpm_check_debug vs depsolve:
DEBUG util.py:256:  rpmlib(FileDigests) is needed by pam-1.1.1-4.el6.x86_64
DEBUG util.py:256:  rpmlib(PayloadIsXz) is needed by pam-1.1.1-4.el6.x86_64
DEBUG util.py:256:  rpmlib(FileDigests) is needed by rpm-libs-4.8.0-10.el6.x86_64
DEBUG util.py:256:  rpmlib(PayloadIsXz) is needed by rpm-libs-4.8.0-10.el6.x86_64
...


Expected results:


Additional info:
Comment 1 seth vidal 2010-11-15 00:07:40 EST
You will need a special rpm version that can handle both and then your el5 configs you'd have to setup to explicitly NOT compress with lzma/xz.

Note You need to log in before you can comment on or make changes to this bug.